/*-------------------------------------------------------------------------
   AR168M demo external controller MCS51
   String function copy right information

   Copyright (C) 2008. Lin, Rongrong <woody@palmmicro.com>

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU Lesser General Public
   License as published by the Free Software Foundation; either
   version 2.1 of the License, or (at your option) any later version.

   This software is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
   Lesser General Public License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with this library; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
-------------------------------------------------------------------------*/

#include "type.h"

void strcpy_c2d(PDCHAR pDst, PCCHAR pSrc)
{
	while (* pDst ++ = * pSrc ++);               // Copy src over dst 
}

void memcpy_c2d(PDCHAR pDst, PCCHAR pSrc, UCHAR iCount)
{
	while (iCount --)
	{
		* pDst ++ = * pSrc ++;
	}
}

UCHAR memcmp_c2d(PDCHAR pDst, PCCHAR pSrc, UCHAR iCount)
{
	while (-- iCount && * pDst == * pSrc) 
	{
		pDst ++;
		pSrc ++;
	}

	return(* pDst - * pSrc);
}

void memset_d(PDCHAR pDst, UCHAR iVal, UCHAR iCount)
{
	while (-- iCount) 
	{
		* pDst ++ = iVal;
	}
}
